This week I was deploying DPM 2016 for a client who had setup VMs for me to use and kept getting the following error:

image

Essentially, the error is due to SQL 2016 SP1 being used.  This is not yet supported and after downgrading to SQL 2016 WITHOUT SP1 everything was fine.